import type { ReadonlyDeep } from 'type-fest';
import type { PipelineJson } from '../../pipeline/PipelineJson/PipelineJson';
import type { TaskJson } from '../../pipeline/PipelineJson/TaskJson';
import type { ReservedParameters } from '../../types/typeAliases';
/**
 * @@@
 *
 * @private internal type of `getReservedParametersForTask`
 */
type GetReservedParametersForTaskOptions = {
    /**
     * @@@
     */
    readonly preparedPipeline: ReadonlyDeep<PipelineJson>;
    /**
     * @@@
     */
    readonly task: ReadonlyDeep<TaskJson>;
    /**
     * @@@
     */
    readonly pipelineIdentification: string;
};
/**
 * @@@
 *
 * @private internal utility of `createPipelineExecutor`
 */
export declare function getReservedParametersForTask(options: GetReservedParametersForTaskOptions): Promise<Readonly<ReservedParameters>>;
export {};
